Package org.eclipse.emf.cdo.view

# Class CDOStaleReferencePolicy.DynamicProxy

java.lang.Object
org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy

All Implemented Interfaces:
  `CDOStaleReferencePolicy`

Direct Known Subclasses:
  `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

Enclosing interface:
  CDOStaleReferencePolicy

public static class CDOStaleReferencePolicy.DynamicProxy extends Object implements CDOStaleReferencePolicy
A `stale reference policy` that provides `Java dynamic proxies` when stale references are aceessed.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOStaleReferencePolicy.DynamicProxy.Enhanced`
A `dynamic proxy stale reference policy` with advanced `type` computation and caching.

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

`CDOStaleReferencePolicy.DynamicProxy`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

`DEFAULT, EXCEPTION, PROXY`

## Constructor Summary

Constructors
Constructor
Description
`DynamicProxy()`

## Method Summary

Modifier and Type
Method
Description
`protected EClassifier`
`getType(EObject source, EStructuralFeature feature, int index, CDOID target)`
`Object`
`processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)`
Returns an object that we want to return to the caller (clients).
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DynamicProxy

public DynamicProxy()

## Method Details

### processStaleReference

public Object processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)
Description copied from interface: `CDOStaleReferencePolicy`
Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).

Specified by:
  `processStaleReference` in interface `CDOStaleReferencePolicy`

### getType

protected EClassifier getType(EObject source, EStructuralFeature feature, int index, CDOID target)

### toString

public String toString()

Overrides:
  `toString` in class `Object`